/* ====== MEDIA QUERIES RESPONSIVE ====== */

/* Extra grandes (>=1400px) */
@media (min-width: 1400px) {
  .titulo-grande {
    font-size: 4rem;
  }
}

/* Laptops y pantallas grandes (>=1200px) */
@media (max-width: 1200px) {
  .img-logo, .logo-mp {
    height: 40px;
  }

  .titulo-grande {
    font-size: 3rem;
  }

  .navbar-collapse{
    overflow-y: auto;
    overflow-y: scroll;
  }
  
  .nav-icons{
    gap: 10px;
    
  }

  .nav-icons li a {
    font-size: 0.6rem;
    letter-spacing: 0.05rem;
  }

  .nav-icons img {
    height: 50px;
  }
  .textura2{
    margin-bottom: -10px;
  }
  /*HOLISTICA*/
  .tittle-h{
    font-size: 1.8rem;
  }

  /*FOTOGRAFICA*/
  .foto-bg{
    width: 85%;
  }

  .slide-foto h3{
    font-size: 2.8rem;
  }

  .img-fotografica{
    max-width: 75%;
  }

}

/* Tablets horizontales (>=992px) */
@media (max-width: 992px) {
  .img-logo {
    height: 40px;
  }
  .navbar .nav-icons {
    flex-direction: column;
    gap: 10px;
  }
  /* CONTENEDOR DEL MENÚ */
  .navbar-collapse {
    position: fixed;
    top: 0;
    width: 280px;
    height: 100vh;
    background: #fff;
    z-index: 9999;
    padding: 80px 20px;
    box-shadow: -10px 0 30px rgba(0,0,0,0.2);
    right: -300px; /* oculto */
    transition: right 0.15s ease;
  }

  /* CUANDO SE ABRE */
  .navbar-collapse.show {
    right: 0;
    background-color: rgba(255, 255, 255, 0.4);
    backdrop-filter: blur(5px);
  }

  /* LISTA */
  .nav-icons {
    flex-direction: column;
    align-items: center;
    gap: 20px;
  }
  .nav-icons li a {
    font-size: 0.9rem;
  }
  .nav-icons img {
    height: 70px;
  }

  .btn-floating-menu {
    position: fixed;
    top: 10px;
    right: 20px;
    z-index: 10000;
    width: 50px;
    height: 50px;
    border-radius: 15px;
    border-color: #ec297b;
    backdrop-filter: blur(10px);
    display: flex;
    align-items: center;
    justify-content: center;

  }

  .slide1-text {
    padding: 20px;
  }

  .profile-card .row {
    flex-direction: column;
  }

  .profile-card img {
    width: 100%;
    height: auto;
  }

  .mapa {
    background:none;

  }

  .mapa-container {
    display: flex; 
    justify-content: center;
    align-items: center;
  }

  .mapa-img {
    max-width: 100%;
    height: auto;
  }

  /*GARNACHA*/
  .slide-g{
    width: 90%;
  }

  .slides-g .carousel{
    height: 390px !important;
  }

  .slides-g .carousel .carousel-cell{
    height: 350px !important;
  }
  .text-intro2 {
    font-size: 1.9rem;
    text-align: left;
    line-height: 25px !important;
  }

  .text-intro2 p {
    font-size: 1.2rem;
    text-align: left;
    padding-top: 10px;
    line-height: 20px;
  }
  .panel-info h2 {
    font-size: 1.5rem;
  }
  i.fa-brands, .fab {
    font-size: 1.3rem;
  }

  /*FOTOGRAFICA*/
  .foto-bg{
    width: 90%;
    padding: 70px 0;
  }

  .slide-foto h3{
    font-size: 2.2rem;
  }

  .img-fotografica{
    max-width: 85%;
    height: auto;
    transform: translateX(0);
  }

  .img-card{
    height: 200px;
  }

  .text-intro2-foto{
    font-size: 2rem;
    line-height: 32px;
  }
}

/* Tablets verticales (>=768px) */
@media (max-width: 768px) {

  .btn-floating-menu {
    width: 45px;
    height: 45px;
  }

  .titulo-grande {
    font-size: 2.2rem;
  }

  .descripcion {
    font-size: 0.95rem;
  }

  .carousel-cell {
    padding: 40px 20px;
  }

  .tt-sec {
    font-size: 2rem;
  }

  .tt-sec span {
    font-size: 2.5rem;
  }

  .text-intro {
    font-size: 1.1rem;
  }

  .text-intro,
  .text-intro2 {
    text-align: left !important;
  }

  .icono-info img {
    width: 100%;
    margin-bottom: 15px;
  }
  .col-lg-5 {
    min-height: 300px;
  }

  .profile-info {
    padding: 30px;
  }

  .profile-name {
    font-size: 2rem;
  }

  .text-intro2 {
    font-size: 1.9rem;
    text-align: left;
    line-height: 30px;
  }

  .text-intro2 p {
    font-size: 1.2rem;
    text-align: left;
    padding-top: 10px;
    line-height: 20px;
  }

  .mt-4 {
    font-size: 0.95rem;
    text-align: left;
  }

  .tt-sec {
    text-align: left;
  }

  .mapa {
    background:none;

  }

  .mapa-container {
    display: flex; 
    justify-content: center;
    align-items: center;
  }

  .mapa-img {
    max-width: 100%;
    height: auto;
  }

  .video-section {
    padding: 40px 0;
  }

  .video-custom {
    max-height: 300px;
  }

  .textura2{
    margin-top: 20px;
    margin-bottom: -20px;
  }

  footer {
    padding: 60px 0; 
    text-align: center;
  }

  /* LOGO */
  footer .img-fluid {
    width: auto;
    margin: 0 auto 20px auto;
    display: block;
  }

  footer img {
    margin-bottom: 20px;
  }

  /* LISTAS */
  footer ul {
    margin-bottom: 20px;
  }

  footer ul li {
    margin-bottom: 10px;
  }

  footer ul li a {
    font-size: 0.85rem;
  }

  /* REDES Y FIRMAS */
  .firmas {
    padding-top: 20px;
    text-align: center;
  }

  .firmas p {
    font-size: 0.85rem;
    margin-bottom: 10px;
  }

  .fa-brands {
    font-size: 1.5rem;
    /* margin: 0 8px */;
  }

  /*ENOTURISMO*/
  .slide-vin h3{
    font-size: 1.8rem;
  }

  .slide-vin p {
    font-size: 1.2rem;
  }

  .carousel {
    height: 80vh;
  }

  .slide-v1 .carousel-cell {
    height: 750px;
  }

  .slides-v .carousel {
    height: 550px;
  }

  .bullet-v, .bullet {
    display: none;
  }

  .panel-info {
    width: 85%;
    left: 7.5%;
    top: 85%;
  }

  .panel-info1 {
    top: 18%;
  }

  .slide-v1 .carousel-cell h2 {
    font-size: 50px;
  }

  .slide-v1 .carousel-cell h3 {
    font-size: 38px;
  }

  .buton_ img {
    width: 40px;
    height: 40px;
  }

  /*GARNACHA*/
  .slide-g{
    width: 95%;
    border-radius: 35px;
    padding: 60px 0 0 0;
  }

  .slide-g h3,
  .slide-c-c h3,
  .slide-ho h3,
  .slide-h h3,
  .slide-vin h3, 
  .slide-g h3,
  .slide-eco h3,
  .slide-r h3,
  .slide-enlace h3{
    font-size: 2rem;
  }

  .slide-g p,
  .slide-c-c p,
  .slide-ho p,
  .slide-h p,
  .slide-vin p,  
  .slide-g p,
  .slide-eco p,
  .slide-r p,
  .slide-enlace p{
    font-size: 1.1rem;
  }

  .text-intro2 .bienvenida{
    padding: 120px 30px;
  }

  .bienvenida_{
    padding: 60px 30px;
  }

  .bienvenida_ p{
    padding-left: 20px;
  }

  .slides-g .carousel{
    height: 320px !important;
  }

  .slides-g .carousel .carousel-cell{
    height: 280px !important;
    border-radius: 35px;
  }

  .slides-g .carousel h2{
    font-size: 24px;
  }

  .info-res{
    font-size: 1rem;
    padding: 20px 30px;
  }

  /*FOTOGRAFICA*/
  .foto-bg{
    width: 92%;
    padding: 60px 0;
  }

  .slide-foto h3{
    font-size: 2rem;
  }

  .slide-foto p{
    font-size: 1rem;
  }

  .img-fotografica{
    max-width: 90%;
    height: auto;
    transform: none;
  }

  .img-card{
    height: 180px;
  }

  .text-intro2-foto{
    font-size: 1.8rem;
    line-height: 28px;
    text-align: center !important;
  }
}

/* Celulares (>=576px) */
@media (max-width: 576px) {
  .titulo-grande {
    font-size: 1.8rem;
  }

  .descripcion {
    font-size: 0.9rem;
  }

  .navbar-brand img,
  .img-logo,
  .logo-mp {
    max-width: 120px;
  }

  .carousel-cell h2 {
    font-size: 1.5rem;
  }

  .profile-name {
    font-size: 1.4rem;
  }

  .profile-text p {
    font-size: 0.9rem;
  }

  .slide-g h3,
  .slide-c-c h3,
  .slide-ho h3,
  .slide-h h3,
  .slide-vin h3, 
  .slide-g h3,
  .slide-eco h3,
  .slide-r h3,
  .slide-enlace h3{
    font-size: 1.1rem;
  }

  .slide-g p,
  .slide-c-c p,
  .slide-ho p,
  .slide-h p,
  .slide-vin p,  
  .slide-g p,
  .slide-eco p,
  .slide-r p,
  .slide-enlace p {
    font-size: 0.9rem;
  }

  .bullet-v, .bullet {
    display: none;
  }

  .carousel {
    width: 92%;
    height: 75vh;
  }

  .slide-v1 .carousel-cell {
    height: 650px;
  }

  .slides-v .carousel {
    height: 500px;
  }

  .panel-info {
    width: 90%;
    height: auto;
    left: 5%;
    top: 88%;
  }

  .panel-info1 {
    top: 35%;
  }

  .panel-info h2 {
    font-size: 0.95rem;
    /* margin-top: 33px; */
    /* letter-spacing: 0.7px; */
  }
  .panel-info .col-sm-4 {
    display: none;
  }

  

  .slide-v1 .carousel-cell h2 {
    font-size: 40px;
  }

  .slide-v1 .carousel-cell h3 {
    font-size: 30px;
  }

  .slide-v1 .carousel-cell p {
    font-size: 16px;
  }

  .scroll_ {
    height: 250px;
  }

  img .buton_,
  .buton_{
    display: none;
  }

  /*GARNACHA*/
  .slide-g{
    width: 95%;
    border-radius: 25px;
    padding: 40px 0 0 0;
  }

  .slide-g h3{
    font-size: 1.5rem;
    padding: 8px;
  }

  .slide-g p{
    font-size: 0.95rem;
    padding: 10px;
  }

  .text-intro2 {
    line-height: 30px !important;
  }

  .text-intro2 p {
    font-size: 0.9rem;
    text-align: left;
    padding-top: 15px;
    line-height: 20px;
  }

  .text-intro2 .bienvenida{
    padding: 80px 15px;
  }

  .bienvenida_{
    padding: 40px 15px;
  }

  .bienvenida_ p{
    padding-left: 0;
    text-align: center;
  }

  .slides-g .carousel{
    height: 260px !important;
  }

  .slides-g .carousel .carousel-cell{
    height: 230px !important;
    border-radius: 25px;
  }

  .slides-g .carousel h2{
    font-size: 1.4rem;
    color: #fff;
    -webkit-text-stroke: #ec297b 1px;
    text-shadow: 5px 5px 10px #000;
    bottom: 20px;
    left: 15px;
  }

  .info-res{
    font-size: 0.9rem;
    padding: 15px 20px;
    text-align: center;
  }

  #pleca-dir div{
    font-size: 0.9rem;
  }

  /*FOTOGRAFICA*/
  .foto-bg{
    width: 95%;
    padding: 40px 0;
    border-radius: 25px;
  }

  .slide-foto h3{
    font-size: 1.6rem;
  }

  .slide-foto p{
    font-size: 0.95rem;
    padding: 0 10px;
  }

  .img-fotografica{
    max-width: 95%;
    height: auto;
    transform: none;
    border-radius: 30px;
  }

  .concursos-foto div.col-sm-4 {
    margin-bottom: 20px;
  }

  .img-card{
    height: 160px;
  }

  .text-intro2-foto{
    font-size: 1.5rem;
    line-height: 24px;
    text-align: center !important;
    padding: 40px 0 0 0;
  }

}

/* Pantallas muy pequeñas (<400px) */
@media (max-width: 400px) {
  .navbar-toggler-icon {
    width: 25px;
    height: 25px;
  }

  .titulo-grande {
    font-size: 1.5rem;
  }

  .carousel-cell h2 {
    font-size: 1.2rem;
  }

  .descripcion {
    font-size: 0.85rem;
  }

  .textura2{
    margin-bottom: -20px;
  }

  /*ENOTURISMO*/
  .carousel {
    width: 95%;
    height: 70vh;
    border-radius: 25px;
  }

  .slide-v1 .carousel-cell {
    height: 500px;
  }

  .slides-v .carousel {
    height: 400px;
  }

  .bullet-v, .bullet {
    display: none;
  }

  .panel-info {
    width: 95%;
    height: auto;
    left: 2.5%;
    top: 87%;
    padding: 15px;
  }

  .panel-info1 {
    top: 33%;
  }

  .scroll_ {
    height: 200px;
  }

  .slide-v1 .carousel-cell h2 {
    font-size: 28px;
  }

  .slide-v1 .carousel-cell h3 {
    font-size: 22px;
  }

  .slide-v1 .carousel-cell p {
    font-size: 14px;
  }

  .bienvenida_ p {
    padding-left: 10px;
    font-size: 0.9rem;
  }

  .slide-vin,
  .slide-r,
  .eco,
  .slide-h,
  .slide-g,
  .foto-bg,
  .holistica-bg,
  .slide-c-c,
  .foto-enlace {
    width: 95%;
    height: 40vh;
    padding-top: 20px;
  }
  .slide-g h3,
  .slide-c-c h3,
  .slide-ho h3,
  .slide-h h3,
  .slide-vin h3, 
  .slide-g h3,
  .slide-eco h3,
  .slide-r h3,
  .slide-enlace h3 {
    font-size: 1rem;
  }
  .slide-g p,
  .slide-c-c p,
  .slide-ho p,
  .slide-h p,
  .slide-vin p,  
  .slide-g p,
  .slide-eco p,
  .slide-r p,
  .slide-enlace p {
    font-size: 0.9rem; 
  }
  img .buton_,
  .buton_{
    display: none;
  }

  /*FOTOGRAFICA*/
  /* .foto-bg{
    width: 98%;
    padding: 30px 0;
    border-radius: 20px;
  } */

  .slide-foto h3{
    font-size: 1.3rem;
    line-height: 20px;
  }

  .slide-foto p{
    font-size: 0.85rem;
    padding: 0 8px;
  }

  .img-fotografica{
    max-width: 100%;
    height: auto;
    border-radius: 20px;
    transform: none;
  }

  .card-foto{
    border-radius: 18px;
  }

  .img-card{
    height: 140px;
  }

  .info-card{
    padding: 15px;
  }

  .btn-foto{
    padding: 6px 16px;
    font-size: 0.8rem;
  }

  .base-box{
    padding: 15px;
    font-size: 0.9rem;
  }

  .text-intro2-foto{
    font-size: 1.2rem;
    line-height: 20px;
    text-align: center !important;
    padding: 30px 0 0 0;
  }

}
/*============================================================*/
/*============================================================*/

